package jd_cookie

import (
	"context"
	"kami/api/jd_cookie/v1"
	"kami/internal/errHandler"
	"kami/internal/service"

	"github.com/gogf/gf/v2/errors/gcode"
	"github.com/gogf/gf/v2/errors/gerror"
)

// CookieHistory Cookie变更历史
func (c *ControllerV1) CookieHistory(ctx context.Context, req *v1.CookieHistoryReq) (res *v1.CookieHistoryRes, err error) {
	_, err = service.SysAuth().LoginOnlyIFrame(ctx)
	if err != nil {
		err = errHandler.WrapError(ctx, gcode.CodeNotAuthorized, err, "权限不足")
		return
	}
	list, total, err := service.JdCookie().GetCookieHistory(ctx, req.CookieId, req.Page, req.Size, req.ChangeType)
	if err != nil {
		return nil, gerror.WrapCode(gcode.CodeInternalError, err, "查询Cookie变更历史失败")
	}

	res = &v1.CookieHistoryRes{
		List:  list,
		Total: total,
	}
	return
}
